# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtChart
%define qt5_minver 5.15.2

Name:           python-qt5-chart
Version:        5.15.7
Release:        %mkrel 3
Summary:        Set of Python bindings for The Qt Charts library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtchart/
#https://www.riverbankcomputing.com/static/Downloads/PyQtChart/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqtchart/%{sname}-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt5Charts) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Core) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Gui) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_minver}

%description
PyQtChart is a set of Python bindings for The Qt Company's Qt Charts library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-chart
Summary:        Python 3 bindings for PyQt 5 chart
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-chart
Python 3 bindings for PyQt 5 chart.

%files -n %{py3_name}-chart
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtChart.*
%{python3_sitearch}/PyQt5/bindings/QtChart
%{python3_sitearch}/PyQtChart-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-chart-qsci-api
Summary:        Python 3 bindings for PyQt 5 chart Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-chart-qsci-api
Python 3 bindings for PyQt 5 chart Qscintilla API.

%files -n %{py3_name}-chart-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtChart.api

#------------------------------------------------------------

%package -n    %{py3_name}-chart-examples
Summary:       Usage examples for the PyQt 5 chart python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-chart-examples
Usage examples for the PyQt 5 chart python 3 bindings.

%files -n %{py3_name}-chart-examples
%doc %{_docdir}/%{py3_name}-chart/examples

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-chart/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-chart/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.15.7-3.mga10
+ Revision: 2237714
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 5.15.7-2.mga10
+ Revision: 2153917
- rebuild for python 3.13

* Sun Jan 19 2025 daviddavid <daviddavid> 5.15.7-1.mga10
+ Revision: 2139878
- New version 5.15.7

* Fri Dec 08 2023 daviddavid <daviddavid> 5.15.6-2.mga10
+ Revision: 2015603
- rebuild for py3.12

* Mon Sep 12 2022 papoteur <papoteur> 5.15.6-1.mga9
+ Revision: 1887463
- new 5.15.6

* Tue Mar 29 2022 papoteur <papoteur> 5.15.2-4.mga9
+ Revision: 1831723
- Fix unexpanded macro in Requires no more needed
- Use sip 6 for building instead of sip 4

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 5.15.2-3.mga9
+ Revision: 1778423
- rebuild for python-3.10

* Thu Mar 18 2021 daviddavid <daviddavid> 5.15.2-2.mga9
+ Revision: 1704315
- rebuild for python 3.9

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652954
- New version 5.15.2

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625541
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599180
- rebuild with sip 4.19.23

* Thu Jun 04 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590398
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545910
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485527
- New version 5.14.0

* Wed Sep 11 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1439856
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424686
- New version 5.13.0

* Sun Jul 28 2019 daviddavid <daviddavid> 5.12-3.mga8
+ Revision: 1424679
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12-2.mga7
+ Revision: 1384110
- Qt5 Rebuild

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366961
- initial package python-qt5-chart

